Subject: Re: Globbing for ignored branches?

From: Markus Trippelsdorf <[email-masked]>
Date: Fri, 24 Jan 2014 21:52:07 +0100

On 2014.01.24 at 12:44 -0800, Junio C Hamano wrote:
> Markus Trippelsdorf <[email-masked]> writes:
> 
> > On 2014.01.24 at 12:00 -0800, Junio C Hamano wrote:
> >> Jeff King <[email-masked]> writes:
> >> 
> >> > On Fri, Jan 24, 2014 at 07:32:22PM +0100, Markus Trippelsdorf wrote:
> >> >
> >> >> > However, you do have to specify each branch individually. You probably
> >> >> > want to say "all branches except X", and you cannot currently specify
> >> >> > a negative refspec like that.
> >> >> 
> >> >> Yes, that was the question I wanted to ask (, sorry for not formulating
> >> >> it more clearly). 
> >> >> Is this "negative refspec for branches" a feature that is planned for
> >> >> the future?
> >> >
> >> > It is something that has been talked about before, but I do not think
> >> > anybody is actively working on. It would probably not be too hard a
> >> > feature if you are interested in getting your feet wet in git
> >> > development. :)
> >> 
> >> The end result might be not so hard in the mechanical sense, but
> >> designing the interface would be hard.  I do not offhand think of a
> >> good way to do this.
> >
> > I don't know if the in-tree regex engine supports negative lookaheads.
> > If it does, then something like the following should work (to use my
> > "hjl" example):
> >
> > ^(.(?!hjl))*
> 
> refspec wildcards are *NOT* regular expressions.

Yes, but that's the point. If they were, the "negative refspec"
interface issue would be solved.

-- 
Markus